UNIT var PCIe3521;

INTERFACE

TYPE

PPointer      = ^Pointer;

FUNCTION i_PCIe3521_GetNumberOfBoards (
                                    var pb_NbrOfBoards  : Byte
                                                                 ): Int16; FAR; STDCALL;
FUNCTION i_PCIe3521_GetBoardInformation(
                                    b_BoardIndex                  : Byte;
                                    dw_IdentifierStringSize       : LongWord;
                                    pc_Identifier                 : PAnsiChar;
                                    var pdw_UINumber              : LongWord;
                                    var pdw_DeviceNumber          : LongWord;
                                    var pdw_BusNumber             : LongWord;
                                    var pdw_BaseAddress0          : LongWord;
                                    var pdw_BaseAddress1          : LongWord;
                                    var pdw_BaseAddress2          : LongWord;
                                    var pdw_BaseAddress3          : LongWord;
                                    var pb_Interrupt              : Byte
                                                                 ): Int16; FAR; STDCALL;
FUNCTION i_PCIe3521_GetBoardRevision(
                                    b_BoardIndex                  : Byte;
                                    var pdw_BoardRevision         : LongWord
                                                                 ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_OpenBoardViaIndex (
                                    b_BoardIndex                  : Byte;
                                    var ph_DeviceHandle           : THANDLE
                                                                 ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_OpenBoardViaIdentifier (
                                    pc_Identifier                : PCHAR;
                                    var ph_DeviceHandle          : THANDLE
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_CloseBoard (
                                    h_DeviceHandle               : THANDLE
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_GetDLLVersion (
                                    var pdw_Version              : LongWord
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_GetDeviceDriverVersion(
                                    h_DeviceHandle               : THANDLE;
                                    var   pdw_Version            : LongWord
                                                                ): Int16; FAR; STDCALL;
FUNCTION i_PCIe3521_SetBoardIntRoutine (
                                    h_DeviceHandle : THANDLE; v_FunctionName : Pointer
                                                                ): Int16;FAR;STDCALL;
FUNCTION i_PCIe3521_ResetBoardIntRoutine (
                                    h_DeviceHandle : THANDLE
                                                                ): Int16; FAR; STDCALL;
FUNCTION i_PCIe3521_Read1DigitalInput(
                                    h_DeviceHandle              : THANDLE;
                                    b_Channel                   : Byte;
                                    var pb_Value                : Byte
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_Read4DigitalInputs(
                                    h_DeviceHandle              : THANDLE;
                                    var pb_Value                : Byte
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_Set1DigitalOutputOn(
                                            h_DeviceHandle      : THANDLE;
                                            b_Channel           : Byte
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_Set1DigitalOutputOff(
                                            h_DeviceHandle      : THANDLE;
                                            b_Channel           : Byte
                                                                ): Int16; FAR; STDCALL;


FUNCTION i_PCIe3521_Set4DigitalOutputsOn(
                                            h_DeviceHandle      : THANDLE;
                                            b_Mask              : Byte
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_Set4DigitalOutputsOff(
                                            h_DeviceHandle      : THANDLE;
                                            b_Mask              : Byte
                                                            ): Int16; FAR; STDCALL;


FUNCTION i_PCIe3521_SetDigitalOutputMemoryOn(
                                            h_DeviceHandle      : THANDLE
                                                                ): Int16; FAR; STDCALL;


FUNCTION i_PCIe3521_SetDigitalOutputMemoryOff(
                                            h_DeviceHandle      : THANDLE
                                                                ): Int16; FAR; STDCALL;


FUNCTION i_PCIe3521_Get1DigitalOutputStatus(
                                            h_DeviceHandle      : THANDLE;
                                            b_Channel           : Byte;
                                            var pb_OutputsStatus: Byte
                                                                ): Int16; FAR; STDCALL;


FUNCTION i_PCIe3521_Get4DigitalOutputsStatus(
                                            h_DeviceHandle      : THANDLE;
                                            var pb_OutputsStatus: Byte
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_InitAndStartTimer(
                                            h_DeviceHandle      : THANDLE;
                                            b_TimerNb           : Byte;
                                            b_TimerMode         :  Byte;
                                            b_TimeBase          :  Byte;
                                            b_OutputMode        :  Byte;
                                            b_InterruptEnabled  :  Byte;
                                            w_ReloadValue       :  Word;
                                            b_WatchdogEnabled   :  Byte
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_StopTimer(
                                    h_DeviceHandle              : THANDLE;
                                    b_TimerNb                   : Byte
                                                                ): Int16; FAR; STDCALL;


FUNCTION i_PCIe3521_ReadTimerStatus(
                                 h_DeviceHandle                 : THANDLE;
                                 b_TimerNb                      : Byte;
                                 var    pb_TimerStatus          : Byte;
                                 var    pb_SoftwareTriggerStatus: Byte;
                                 var    pw_TimerValue           : Word
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_ReadTimerValue(
                                h_DeviceHandle                  : THANDLE;
                                b_TimerNb                       : Byte;
                                var pw_TimerValue               : Word
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_TriggerTimer(
                                    h_DeviceHandle              : THANDLE;
                                    b_TimerNb                   : Byte
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_Write1AnalogOutput (
                                    h_DeviceHandle              : THANDLE;
                                    uc_Channel                  : Byte;
                                    uc_var Polarity             : Byte;
                                    us_Value                    : Word
                                                                ): Int16; FAR; STDCALL;

FUNCTION i_PCIe3521_WriteMoreAnalogOutputs(
                                    h_DeviceHandle              : THANDLE;
                                    uc_ChannelNbr               : Byte;
                                    var puc_Channel             : Byte;
                                    var puc_Polarity            : Byte;
                                    var pus_Value               : Word
                                                                ): Int16; FAR; STDCALL;

IMPLEMENTATION

FUNCTION i_PCIe3521_GetNumberOfBoards (
                                    var pb_NbrOfBoards: Byte
                                                                 ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';
FUNCTION i_PCIe3521_GetBoardInformation(
                                    b_BoardIndex                  : Byte;
                                    dw_IdentifierStringSize : LongWord;
                                    pc_Identifier                 : PAnsiChar;
                                    var pdw_UINumber              : LongWord;
                                    var pdw_DeviceNumber          : LongWord;
                                    var pdw_BusNumber             : LongWord;
                                    var pdw_BaseAddress0          : LongWord;
                                    var pdw_BaseAddress1          : LongWord;
                                    var pdw_BaseAddress2          : LongWord;
                                    var pdw_BaseAddress3          : LongWord;
                                    var pb_Interrupt              : Byte
                                                                 ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';
FUNCTION i_PCIe3521_GetBoardRevision(
                                    b_BoardIndex                  : Byte;
                                    var pdw_BoardRevision         : LongWord
                                                                 ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_OpenBoardViaIndex (
                                    b_BoardIndex                  : Byte;
                                    var ph_DeviceHandle           : THANDLE
                                                                 ): Int16; FAR; STDCALL;   External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_OpenBoardViaIdentifier (
                                    pc_Identifier                : PCHAR;
                                    var ph_DeviceHandle          : THANDLE
                                                                ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_CloseBoard (
                                    h_DeviceHandle               : THANDLE
                                                                ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_GetDLLVersion (
                                    var pdw_Version              : LongWord
                                                                ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_GetDeviceDriverVersion(
                                    h_DeviceHandle               : THANDLE;
                                    var   pdw_Version            : LongWord
                                                                ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';
FUNCTION i_PCIe3521_SetBoardIntRoutine (
                                    h_DeviceHandle : THANDLE; v_FunctionName : Pointer
                                                                ): Int16;FAR;STDCALL; External 'PCIe3521.DLL';
FUNCTION i_PCIe3521_ResetBoardIntRoutine (
                                    h_DeviceHandle : THANDLE
                                                                ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';
FUNCTION i_PCIe3521_Read1DigitalInput(
                                    h_DeviceHandle              : THANDLE;
                                    b_Channel                   : Byte;
                                    var pb_Value                : Byte
                                                                ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_Read4DigitalInputs(
                                    h_DeviceHandle : THANDLE;
                                    var pb_Value: Byte
                                                                ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_Set1DigitalOutputOn(
                                            h_DeviceHandle : THANDLE;
                                            b_Channel: Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_Set1DigitalOutputOff(
                                            h_DeviceHandle : THANDLE;
                                            b_Channel: Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';


FUNCTION i_PCIe3521_Set4DigitalOutputsOn(
                                            h_DeviceHandle  : THANDLE;
                                            b_Mask          : Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_Set4DigitalOutputsOff(
                                            h_DeviceHandle : THANDLE;
                                            b_Mask: Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';


FUNCTION i_PCIe3521_SetDigitalOutputMemoryOn(
                                            h_DeviceHandle : THANDLE
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';


FUNCTION i_PCIe3521_SetDigitalOutputMemoryOff(
                                            h_DeviceHandle : THANDLE
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';


FUNCTION i_PCIe3521_Get1DigitalOutputStatus(
                                            h_DeviceHandle : THANDLE;
                                            b_Channel: Byte;
                                            var pb_OutputsStatus: Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';


FUNCTION i_PCIe3521_Get4DigitalOutputsStatus(
                                            h_DeviceHandle : THANDLE;
                                            var pb_OutputsStatus: Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_InitAndStartTimer(
                                            h_DeviceHandle : THANDLE;
                                            b_TimerNb: Byte;
                                            b_TimerMode:  Byte;
                                            b_TimeBase:  Byte;
                                            b_OutputMode:  Byte;
                                            b_InterruptEnabled:  Byte;
                                            w_ReloadValue:  Word;
                                            b_WatchdogEnabled:  Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_StopTimer(
                                    h_DeviceHandle : THANDLE;
                                    b_TimerNb : Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';


FUNCTION i_PCIe3521_ReadTimerStatus(
                                 h_DeviceHandle : THANDLE;
                                 b_TimerNb: Byte;
                                 var    pb_TimerStatus: Byte;
                                 var    pb_SoftwareTriggerStatus: Byte;
                                 var    pw_TimerValue: Word
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_ReadTimerValue(
                                h_DeviceHandle : THANDLE;
                                b_TimerNb: Byte;
                                var pw_TimerValue : Word
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_TriggerTimer(
                                    h_DeviceHandle : THANDLE;
                                    b_TimerNb : Byte
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_Write1AnalogOutput (
                                    h_DeviceHandle : THANDLE;
                                    uc_Channel: Byte;
                                    uc_var Polarity: Byte;
                                    us_Value : Word
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';

FUNCTION i_PCIe3521_WriteMoreAnalogOutputs(
                                    h_DeviceHandle : THANDLE;
                                    uc_ChannelNbr: Byte;
                                    var puc_Channel: Byte;
                                    var puc_Polarity : Byte;
                                    var pus_Value : Word
                                                            ): Int16; FAR; STDCALL; External 'PCIe3521.DLL';



END.
